curl https://nearnode.io/api/v1/nodes/k9m2xp4q \
-H "Authorization: Bearer sk_live_..."
{
"data": {
"id": "node_abc123...",
"slug": "k9m2xp4q",
"label": "Office Front Door",
"url": "https://nearnode.io/v/k9m2xp4q",
"function_type": "redirect",
"payload": {
"url": "https://acme.com/welcome"
},
"status": "active",
"hardware_id": "04:A2:C8:1A:35:39:80",
"scan_count": 1247,
"created_at": "2026-01-15T10:00:00Z"
}
}
Nodes
Get Node
Retrieve a single node by its slug.
GET
/
api
/
v1
/
nodes
/
{slug}
curl https://nearnode.io/api/v1/nodes/k9m2xp4q \
-H "Authorization: Bearer sk_live_..."
{
"data": {
"id": "node_abc123...",
"slug": "k9m2xp4q",
"label": "Office Front Door",
"url": "https://nearnode.io/v/k9m2xp4q",
"function_type": "redirect",
"payload": {
"url": "https://acme.com/welcome"
},
"status": "active",
"hardware_id": "04:A2:C8:1A:35:39:80",
"scan_count": 1247,
"created_at": "2026-01-15T10:00:00Z"
}
}
Path Parameters
The node’s unique slug (e.g.,
k9m2xp4q).Response
Show properties
Show properties
UUID of the node.
8-char short code.
Internal display name.
Public scan URL.
One of
redirect, vcard, wifi, microsite, digital_card, action.Type-specific configuration.
Lifecycle status.
NFC chip UID (if written).
Total scans.
ISO 8601 timestamp.
curl https://nearnode.io/api/v1/nodes/k9m2xp4q \
-H "Authorization: Bearer sk_live_..."
{
"data": {
"id": "node_abc123...",
"slug": "k9m2xp4q",
"label": "Office Front Door",
"url": "https://nearnode.io/v/k9m2xp4q",
"function_type": "redirect",
"payload": {
"url": "https://acme.com/welcome"
},
"status": "active",
"hardware_id": "04:A2:C8:1A:35:39:80",
"scan_count": 1247,
"created_at": "2026-01-15T10:00:00Z"
}
}
⌘I